use strict;
use Test::More tests => 2;

use_ok('Make::Naive');

my $set = Make::Naive->new();

$set->rule('foo',sub {},'bar');

$set->rule('foo',sub {},'bar')
    ->rule('foo1',sub {},'bar1');

$set->name('Hello world')
    ->rule('foo',sub {},'bar')
    ->rule('foo1',sub {},'bar1');

is_deeply( [sort $set->targets], [ sort qw[bar bar1 foo foo1] ], 'targets()')
  or diag join ":", sort $set->targets;


